]> git.pld-linux.org Git - packages/gdb.git/blobdiff - gdb-6.6-buildid-locate-rpm.patch
- updated to 7.2 with fedora patchset w/o rhel compat fixes.
[packages/gdb.git] / gdb-6.6-buildid-locate-rpm.patch
index 32cbca3a39e1696e151a97dacba2ee500bd1a862..fc820d5f9f1dfbc4ed8a144ae672b834fbe54d54 100644 (file)
@@ -1,7 +1,7 @@
-Index: gdb-6.8.50.20090909/gdb/event-top.c
+Index: gdb-7.1.90.20100806/gdb/event-top.c
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/event-top.c   2009-09-09 20:05:48.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/event-top.c        2009-09-09 20:08:04.000000000 +0200
+--- gdb-7.1.90.20100806.orig/gdb/event-top.c   2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/event-top.c        2010-08-06 17:42:05.000000000 +0200
 @@ -33,6 +33,7 @@
  #include "cli/cli-script.h"     /* for reset_command_nest_depth */
  #include "main.h"
@@ -28,27 +28,19 @@ Index: gdb-6.8.50.20090909/gdb/event-top.c
    /* Each interpreter has its own rules on displaying the command
       prompt.  */
    if (!current_interp_display_prompt_p ())
-Index: gdb-6.8.50.20090909/gdb/symfile.c
+Index: gdb-7.1.90.20100806/gdb/elfread.c
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/symfile.c     2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/symfile.c  2009-09-09 20:08:04.000000000 +0200
-@@ -57,6 +57,7 @@
- #include "solib.h"
- #include "remote.h"
- #include "libbfd.h"
+--- gdb-7.1.90.20100806.orig/gdb/elfread.c     2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/elfread.c  2010-08-06 18:11:49.000000000 +0200
+@@ -42,6 +42,7 @@
+ #include "gdbcore.h"
+ #include "gdbcmd.h"
+ #include "observer.h"
 +#include "elf/external.h"
  
- #include <sys/types.h>
- #include <fcntl.h>
-@@ -65,6 +66,7 @@
- #include <ctype.h>
- #include <time.h>
- #include <sys/time.h>
-+#include <sys/param.h>
+ extern void _initialize_elfread (void);
  
- int (*deprecated_ui_load_progress_hook) (const char *section, unsigned long num);
-@@ -1673,8 +1675,352 @@ build_id_to_filename (struct build_id *b
+@@ -1371,8 +1372,357 @@ build_id_to_filename (struct build_id *b
    return retval;
  }
  
@@ -121,8 +113,12 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
 +# define rpmtsInitIterator_p rpmtsInitIterator
 +#endif        /* !DLOPEN_LIBRPM */
 +
-+  if (filename == NULL)
-+    return 0;
++  gdb_assert (filename != NULL);
++  if (filename[0] != '/')
++    {
++      warning (_("Ignoring non-absolute filename: <%s>"), filename);
++      return 0;
++    }
 +
 +  if (!rpm_init_done)
 +    {
@@ -258,7 +254,8 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
 +
 +        /* Base package name for `debuginfo-install'.  We do not use the
 +           `yum' command directly as the line
-+               yum --enablerepo='*-debuginfo' install NAME-debuginfo.ARCH
++               yum --disablerepo='*' --enablerepo='*-debuginfo' \
++                   install NAME-debuginfo.ARCH
 +           would be more complicated than just:
 +               debuginfo-install NAME-VERSION-RELEASE.ARCH
 +           Do not supply the rpm base name (derived from .src.rpm name) as
@@ -398,11 +395,11 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
 +
  /* This MISSING_FILEPAIR_HASH tracker is used only for the duplicite messages
 -     Try to install the hash file ...
-+     yum --enablerepo='*-debuginfo' install ...
++     yum --disablerepo='*' --enablerepo='*-debuginfo' install ...
     avoidance.  */
  
  struct missing_filepair
-@@ -1728,11 +2074,17 @@ missing_filepair_change (void)
+@@ -1426,11 +1776,17 @@ missing_filepair_change (void)
        /* All their memory came just from missing_filepair_OBSTACK.  */
        missing_filepair_hash = NULL;
      }
@@ -420,7 +417,7 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
    missing_filepair_change ();
  }
  
-@@ -1799,14 +2151,33 @@ debug_print_missing (const char *binary,
+@@ -1497,14 +1853,35 @@ debug_print_missing (const char *binary,
  
    *slot = missing_filepair;
  
@@ -446,7 +443,8 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
 +      }
 +    }
 +  if (missing_exec != MISSING_EXEC_ENLISTED)
-+    if (missing_rpm_enlist (binary) == 0 && missing_rpm_enlist (debug) == 0)
++    if ((binary[0] == 0 || missing_rpm_enlist (binary) == 0)
++      && (debug == NULL || missing_rpm_enlist (debug) == 0))
 +#endif        /* HAVE_LIBRPM */
 +      {
 +      /* We do not collect and flush these messages as each such message
@@ -456,16 +454,17 @@ Index: gdb-6.8.50.20090909/gdb/symfile.c
 +                          _("Missing separate debuginfo for %s\n"), binary);
 +        if (debug != NULL)
 +        fprintf_unfiltered (gdb_stdlog, _("Try: %s %s\n"),
-+                            "yum --enablerepo='*-debuginfo' install", debug);
++                            "yum --disablerepo='*' --enablerepo='*-debuginfo'"
++                            " install", debug);
 +      }
  }
  
  static char *
-Index: gdb-6.8.50.20090909/gdb/symfile.h
+Index: gdb-7.1.90.20100806/gdb/symfile.h
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/symfile.h     2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/symfile.h  2009-09-09 20:08:04.000000000 +0200
-@@ -387,6 +387,7 @@ extern struct build_id *build_id_addr_ge
+--- gdb-7.1.90.20100806.orig/gdb/symfile.h     2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/symfile.h  2010-08-06 17:42:05.000000000 +0200
+@@ -577,6 +577,7 @@ extern struct build_id *build_id_addr_ge
  extern char *build_id_to_filename (struct build_id *build_id,
                                   char **link_return, int add_debug_suffix);
  extern void debug_print_missing (const char *binary, const char *debug);
@@ -473,11 +472,11 @@ Index: gdb-6.8.50.20090909/gdb/symfile.h
  
  /* From dwarf2read.c */
  
-Index: gdb-6.8.50.20090909/gdb/testsuite/lib/gdb.exp
+Index: gdb-7.1.90.20100806/gdb/testsuite/lib/gdb.exp
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/testsuite/lib/gdb.exp 2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/testsuite/lib/gdb.exp      2009-09-09 20:08:04.000000000 +0200
-@@ -1248,7 +1248,7 @@ proc default_gdb_start { } {
+--- gdb-7.1.90.20100806.orig/gdb/testsuite/lib/gdb.exp 2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/testsuite/lib/gdb.exp      2010-08-06 17:42:05.000000000 +0200
+@@ -1359,7 +1359,7 @@ proc default_gdb_start { } {
            warning "Couldn't set the width to 0."
        }
      }
@@ -486,10 +485,10 @@ Index: gdb-6.8.50.20090909/gdb/testsuite/lib/gdb.exp
      send_gdb "set build-id-verbose 0\n"
      gdb_expect 10 {
        -re "$gdb_prompt $" {
-Index: gdb-6.8.50.20090909/gdb/testsuite/lib/mi-support.exp
+Index: gdb-7.1.90.20100806/gdb/testsuite/lib/mi-support.exp
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/testsuite/lib/mi-support.exp  2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/testsuite/lib/mi-support.exp       2009-09-09 20:08:04.000000000 +0200
+--- gdb-7.1.90.20100806.orig/gdb/testsuite/lib/mi-support.exp  2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/testsuite/lib/mi-support.exp       2010-08-06 17:42:05.000000000 +0200
 @@ -221,7 +221,7 @@ proc default_mi_gdb_start { args } {
            }
        }
@@ -499,10 +498,10 @@ Index: gdb-6.8.50.20090909/gdb/testsuite/lib/mi-support.exp
      send_gdb "190-gdb-set build-id-verbose 0\n"
      gdb_expect 10 {
        -re ".*190-gdb-set build-id-verbose 0\r\n190\\\^done\r\n$mi_gdb_prompt$" {
-Index: gdb-6.8.50.20090909/gdb/tui/tui-interp.c
+Index: gdb-7.1.90.20100806/gdb/tui/tui-interp.c
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/tui/tui-interp.c      2009-09-09 20:05:48.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/tui/tui-interp.c   2009-09-09 20:08:04.000000000 +0200
+--- gdb-7.1.90.20100806.orig/gdb/tui/tui-interp.c      2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/tui/tui-interp.c   2010-08-06 17:42:05.000000000 +0200
 @@ -30,6 +30,7 @@
  #include "tui/tui.h"
  #include "tui/tui-io.h"
@@ -511,7 +510,7 @@ Index: gdb-6.8.50.20090909/gdb/tui/tui-interp.c
  
  /* Set to 1 when the TUI mode must be activated when we first start
     gdb.  */
-@@ -128,6 +129,8 @@ tui_command_loop (void *data)
+@@ -146,6 +147,8 @@ tui_command_loop (void *data)
        char *a_prompt;
        char *gdb_prompt = get_prompt ();
  
@@ -520,10 +519,10 @@ Index: gdb-6.8.50.20090909/gdb/tui/tui-interp.c
        /* Tell readline what the prompt to display is and what function
           it will need to call after a whole line is read. This also
           displays the first prompt.  */
-Index: gdb-6.8.50.20090909/gdb/aclocal.m4
+Index: gdb-7.1.90.20100806/gdb/aclocal.m4
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/aclocal.m4    2009-09-09 20:05:48.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/aclocal.m4 2009-09-09 20:09:32.000000000 +0200
+--- gdb-7.1.90.20100806.orig/gdb/aclocal.m4    2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/aclocal.m4 2010-08-06 17:42:05.000000000 +0200
 @@ -19,6 +19,162 @@ You have another version of autoconf.  I
  If you have problems, you may need to regenerate the build system entirely.
  To do so, use the procedure documented by the package, typically `autoreconf'.])])
@@ -687,11 +686,11 @@ Index: gdb-6.8.50.20090909/gdb/aclocal.m4
  # Copyright (C) 2002, 2003, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
  #
  # This file is free software; the Free Software Foundation
-Index: gdb-6.8.50.20090909/gdb/config.in
+Index: gdb-7.1.90.20100806/gdb/config.in
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/config.in     2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/config.in  2009-09-09 20:08:04.000000000 +0200
-@@ -42,6 +42,9 @@
+--- gdb-7.1.90.20100806.orig/gdb/config.in     2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/config.in  2010-08-06 17:42:05.000000000 +0200
+@@ -46,6 +46,9 @@
  /* Define to BFD's default target vector. */
  #undef DEFAULT_BFD_VEC
  
@@ -701,9 +700,9 @@ Index: gdb-6.8.50.20090909/gdb/config.in
  /* Define to 1 if translation of program messages to the user's native
     language is requested. */
  #undef ENABLE_NLS
-@@ -221,6 +224,9 @@
- /* Define if Python 2.6 is being used. */
- #undef HAVE_LIBPYTHON2_6
+@@ -231,6 +234,9 @@
+ /* Define if Python 2.7 is being used. */
+ #undef HAVE_LIBPYTHON2_7
  
 +/* Define if librpm library is being used. */
 +#undef HAVE_LIBRPM
@@ -711,11 +710,11 @@ Index: gdb-6.8.50.20090909/gdb/config.in
  /* Define if libunwind library is being used. */
  #undef HAVE_LIBUNWIND
  
-Index: gdb-6.8.50.20090909/gdb/configure
+Index: gdb-7.1.90.20100806/gdb/configure
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/configure     2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/configure  2009-09-09 20:09:35.000000000 +0200
-@@ -676,6 +676,9 @@ REPORT_BUGS_TO
+--- gdb-7.1.90.20100806.orig/gdb/configure     2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/configure  2010-08-06 17:42:05.000000000 +0200
+@@ -679,6 +679,9 @@ REPORT_BUGS_TO
  PKGVERSION
  TARGET_OBS
  subdirs
@@ -725,7 +724,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
  pythondir
  GDB_DATADIR_PATH
  GDB_DATADIR
-@@ -886,6 +889,7 @@ with_separate_debug_dir
+@@ -948,6 +951,7 @@ with_separate_debug_dir
  with_gdb_datadir
  with_relocated_sources
  with_pythondir
@@ -733,7 +732,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
  enable_targets
  enable_64_bit_bfd
  enable_gdbcli
-@@ -925,6 +929,9 @@ LDFLAGS
+@@ -988,6 +992,9 @@ LDFLAGS
  LIBS
  CPPFLAGS
  CPP
@@ -743,7 +742,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
  YACC
  YFLAGS
  XMKMF'
-@@ -1588,6 +1595,8 @@ Optional Packages:
+@@ -1653,6 +1660,8 @@ Optional Packages:
                            [DATADIR/gdb]
    --with-pythondir        install Python data files in this path
                            [DATADIR/gdb/python]
@@ -752,7 +751,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
    --with-libunwind        use libunwind frame unwinding support
    --with-curses           use the curses library instead of the termcap
                            library
-@@ -1621,6 +1630,9 @@ Some influential environment variables:
+@@ -1688,6 +1697,9 @@ Some influential environment variables:
    CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
                you have headers in a nonstandard directory <include dir>
    CPP         C preprocessor
@@ -762,7 +761,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
    YACC        The `Yet Another C Compiler' implementation to use. Defaults to
                the first program found out of: `bison -y', `byacc', `yacc'.
    YFLAGS      The list of arguments that will be passed by default to $YACC.
-@@ -6675,6 +6687,486 @@ _ACEOF
+@@ -7951,6 +7963,485 @@ _ACEOF
  fi
  
  
@@ -931,7 +930,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
 +    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 +/* end confdefs.h.  */
 +
-+/* Duplicate here the declarations to verify they match "symfile.c".  */
++/* Duplicate here the declarations to verify they match "elfread.c".  */
 +#include <rpm/rpmlib.h>
 +#include <rpm/rpmts.h>
 +#include <rpm/rpmdb.h>
@@ -1185,7 +1184,7 @@ Index: gdb-6.8.50.20090909/gdb/configure
 +    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 +/* end confdefs.h.  */
 +
-+/* Duplicate here the declarations to verify they match "symfile.c".  */
++/* Duplicate here the declarations to verify they match "elfread.c".  */
 +#include <rpm/rpmlib.h>
 +#include <rpm/rpmts.h>
 +#include <rpm/rpmdb.h>
@@ -1245,291 +1244,14 @@ Index: gdb-6.8.50.20090909/gdb/configure
 +    fi
 +  fi
 +fi
-+
-@@ -9721,265 +10213,25 @@ $as_echo "#define STDC_HEADERS 1" >>conf
- fi
--
--
- for ac_header in sys/user32.h sys/procfs32.h
--do
--as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
--  echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--fi
--echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
--echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
--else
--  # Is the header compilable?
--echo "$as_me:$LINENO: checking $ac_header usability" >&5
--echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--$ac_includes_default
--#include <$ac_header>
--_ACEOF
--rm -f conftest.$ac_objext
--if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--  (eval $ac_compile) 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"
--                       || test ! -s conftest.err'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--       { ac_try='test -s conftest.$ac_objext'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_header_compiler=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--ac_header_compiler=no
--fi
--rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
--echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
--echo "${ECHO_T}$ac_header_compiler" >&6
--
--# Is the header present?
--echo "$as_me:$LINENO: checking $ac_header presence" >&5
--echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--#include <$ac_header>
--_ACEOF
--if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } >/dev/null; then
--  if test -s conftest.err; then
--    ac_cpp_err=$ac_c_preproc_warn_flag
--    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--  else
--    ac_cpp_err=
--  fi
--else
--  ac_cpp_err=yes
--fi
--if test -z "$ac_cpp_err"; then
--  ac_header_preproc=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--  ac_header_preproc=no
--fi
--rm -f conftest.err conftest.$ac_ext
--echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
--echo "${ECHO_T}$ac_header_preproc" >&6
--
--# So?  What about this header?
--case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--  yes:no: )
--    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
--echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
--echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
--    ac_header_preproc=yes
--    ;;
--  no:yes:* )
--    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
--echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
--echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
--echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
--echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
--echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
--echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--    (
--      cat <<\_ASBOX
--## ------------------------------------------ ##
--## Report this to the AC_PACKAGE_NAME lists.  ##
--## ------------------------------------------ ##
--_ASBOX
--    ) |
--      sed "s/^/$as_me: WARNING:     /" >&2
--    ;;
--esac
--echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  eval "$as_ac_Header=\$ac_header_preproc"
--fi
--echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
--echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
--
--fi
--if test `eval echo '${'$as_ac_Header'}'` = yes; then
-+do :
-+  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-+ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-+eval as_val=\$$as_ac_Header
-+   if test "x$as_val" = x""yes; then :
-   cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
  
--echo "$as_me:$LINENO: checking for struct elf_prstatus32.pr_reg" >&5
--echo $ECHO_N "checking for struct elf_prstatus32.pr_reg... $ECHO_C" >&6
--if test "${ac_cv_member_struct_elf_prstatus32_pr_reg+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--#include <sys/procfs.h>
--
--int
--main ()
--{
--static struct elf_prstatus32 ac_aggr;
--if (ac_aggr.pr_reg)
--return 0;
--  ;
--  return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext
--if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--  (eval $ac_compile) 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"
--                       || test ! -s conftest.err'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--       { ac_try='test -s conftest.$ac_objext'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_cv_member_struct_elf_prstatus32_pr_reg=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--#include <sys/procfs.h>
--
--int
--main ()
--{
--static struct elf_prstatus32 ac_aggr;
--if (sizeof ac_aggr.pr_reg)
--return 0;
--  ;
--  return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext
--if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--  (eval $ac_compile) 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--       { ac_try='test -z "$ac_c_werror_flag"
--                       || test ! -s conftest.err'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--       { ac_try='test -s conftest.$ac_objext'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_cv_member_struct_elf_prstatus32_pr_reg=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--ac_cv_member_struct_elf_prstatus32_pr_reg=no
--fi
--rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
--fi
--echo "$as_me:$LINENO: result: $ac_cv_member_struct_elf_prstatus32_pr_reg" >&5
--echo "${ECHO_T}$ac_cv_member_struct_elf_prstatus32_pr_reg" >&6
--if test $ac_cv_member_struct_elf_prstatus32_pr_reg = yes; then
-+ac_fn_c_check_member "$LINENO" "struct elf_prstatus32" "pr_reg" "ac_cv_member_struct_elf_prstatus32_pr_reg" "#include <sys/procfs.h>
-+"
-+if test "x$ac_cv_member_struct_elf_prstatus32_pr_reg" = x""yes; then :
  
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_ELF_PRSTATUS32 1
--_ACEOF
-+$as_echo "#define HAVE_ELF_PRSTATUS32 1" >>confdefs.h
  
- fi
-Index: gdb-6.8.50.20090909/gdb/configure.ac
+Index: gdb-7.1.90.20100806/gdb/configure.ac
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/configure.ac  2009-09-09 20:08:04.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/configure.ac       2009-09-09 20:08:04.000000000 +0200
-@@ -151,6 +151,199 @@ else
+--- gdb-7.1.90.20100806.orig/gdb/configure.ac  2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/configure.ac       2010-08-06 17:42:05.000000000 +0200
+@@ -152,6 +152,198 @@ else
  fi
  AC_SUBST(pythondir)
  
@@ -1662,7 +1384,7 @@ Index: gdb-6.8.50.20090909/gdb/configure.ac
 +    save_CFLAGS="$CFLAGS"
 +    CFLAGS="$CFLAGS -Werror"
 +    AC_COMPILE_IFELSE(AC_LANG_PROGRAM([[
-+/* Duplicate here the declarations to verify they match "symfile.c".  */
++/* Duplicate here the declarations to verify they match "elfread.c".  */
 +#include <rpm/rpmlib.h>
 +#include <rpm/rpmts.h>
 +#include <rpm/rpmdb.h>
@@ -1725,21 +1447,20 @@ Index: gdb-6.8.50.20090909/gdb/configure.ac
 +    fi
 +  fi
 +fi
-+
  
  AC_CONFIG_SUBDIRS(doc testsuite)
  
-Index: gdb-6.8.50.20090909/gdb/acinclude.m4
+Index: gdb-7.1.90.20100806/gdb/acinclude.m4
 ===================================================================
---- gdb-6.8.50.20090909.orig/gdb/acinclude.m4  2009-09-09 20:05:48.000000000 +0200
-+++ gdb-6.8.50.20090909/gdb/acinclude.m4       2009-09-09 20:08:04.000000000 +0200
+--- gdb-7.1.90.20100806.orig/gdb/acinclude.m4  2010-08-06 17:42:01.000000000 +0200
++++ gdb-7.1.90.20100806/gdb/acinclude.m4       2010-08-06 17:42:05.000000000 +0200
 @@ -1,3 +1,5 @@
 +# serial 1
 +
  dnl written by Rob Savoye <rob@cygnus.com> for Cygnus Support
  dnl major rewriting for Tcl 7.5 by Don Libes <libes@nist.gov>
  
-@@ -79,8 +81,6 @@ AC_MSG_RESULT(yes)
+@@ -81,8 +83,6 @@ AC_MSG_RESULT(yes)
  # Foundation, Inc., 51 Franklin Street, Fifth Floor,
  # Boston, MA 02110-1301, USA.
  
This page took 0.102287 seconds and 4 git commands to generate.